## Function to create a set of grid cells based on a set of x and y coordinates
#
#	x				-	Vector of x-coordinates of the grid cells
#	y				-	Vector of y-coordinates of the grid cells
#
MakeGridFromCoords <- function(x, y)
{
	out <- .External(
		"MakeGridFromCoords",
		x = as.double(x),
		y = as.double(y),
		PACKAGE = "ecomodtools")
	data.frame(
		x1 = out$x1,
		x2 = out$x2,
		y1 = out$y1,
		y2 = out$y2)
}